Reset DNS records
Reset DNS zone to the default records. Use this endpoint to restore domain DNS to original configuration.
Reset DNS zone to the default records.
Use this endpoint to restore domain DNS to original configuration.
Authorizations
AuthorizationstringRequired
API Token authentication
Path parameters
domainstringRequiredExample:
Domain name
mydomain.tldBody
syncbooleanOptionalDefault:
Determines if operation should be run synchronously
trueExample: truereset_email_recordsbooleanOptionalDefault:
Determines if email records should be reset
trueExample: truewhitelisted_record_typesstring[]OptionalExample:
Specifies which record types to not reset
["MX","TXT"]Responses
200
Success response
application/json
messagestringOptionalExample:
Request accepted401
Unauthenticated response
application/json
422
Validation error response
application/json
500
Error response
application/json
post/api/dns/v1/zones/{domain}/reset
POST /api/dns/v1/zones/{domain}/reset HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 80
{
"sync": true,
"reset_email_records": true,
"whitelisted_record_types": [
"MX",
"TXT"
]
}{
"message": "Request accepted"
}Last updated
Was this helpful?